Flutter 2 Quick Start

With Flutter 2 now, you build beautiful apps natively compiled into iOS, Android, Web and now 3 more desktop apps for Windows, MacOS and Linux. Flutter required at least Dart 2.12 which focuses on dealing with null problems. Dart 2.12 makes sure your code is sound null safe. 


This Flutter 2 Quick Startup course is for students who had already enough experience with Flutter version 1 and earlier Dart. This course is clearly not for new beginners. This small course consists of 5 videos:


  1. A Quick Guide on Flutter 2 Installation on Windows

  2. A Brief Tour on Dart 2.12 Sound Null Safely

  3. Reading API from the Internet using Flutter 2

  1. A Quick Guide on Flutter 2 Installation on MacOS

  2. Flutter 2 with Firebase Cloud Firestore



Created by Last updated Tue, 13-Apr-2021
Curriculum for this course
19 Lessons 03:20:15 Times
  • 1. Flutter 2 Installation on Windows Part1 00:10:00
  • 2. Flutter 2 Installation on Windows Part2 00:10:00
  • 3. Flutter 2 Installation on Windows Part3 00:09:06
  • 1. Flutter 2 Dart 2.12 Sound Null Safety Part1 00:10:00
  • 2. Flutter 2 Dart 2.12 Sound Null Safety Part2 00:10:00
  • 3. Flutter 2 Dart 2.12 Sound Null Safety Part3 00:10:00
  • 4. Flutter 2 Dart 2.12 Sound Null Safety Part4 00:10:00
  • 5. Flutter 2 Dart 2.12 Sound Null Safety Part5 00:11:15
  • 1. Flutter 2 Read API from the Internet Part1 00:11:00
  • 2. Flutter 2 Read API from the Internet Part2 00:11:58
  • 3. Flutter 2 Read API from the Internet Part3 00:11:12
  • 4. Flutter 2 Read API from the Internet Part4 00:11:16
  • 1. Flutter 2 Installation on MacOS Part1 00:08:23
  • 2. Flutter 2 Installation on MacOS Part2 00:08:23
  • 1. Flutter 2 with Firebase Firestore Part1 00:10:00
  • 2. Flutter 2 with Firebase Firestore Part2 00:10:00
  • 3. Flutter 2 with Firebase Firestore Part3 00:10:56
  • 4. Flutter 2 with Firebase Firestore Part4 00:13:20
  • 5. Flutter 2 with Firebase Firestore Part5 00:13:26
+ View more
Description

With Flutter 2 now, you build beautiful apps natively compiled into iOS, Android, Web and now 3 more desktop apps for Windows, MacOS and Linux. Flutter required at least Dart 2.12 which focuses on dealing with null problems. Dart 2.12 makes sure your code is sound null safe. 


This Flutter 2 Quick Startup course is for students who had already enough experience with Flutter version 1 and earlier Dart. This course is clearly not for new beginners. This small course consists of 5 videos:


  1. A Quick Guide on Flutter 2 Installation on Windows

  2. A Brief Tour on Dart 2.12 Sound Null Safely

  3. Reading API from the Internet using Flutter 2

  1. A Quick Guide on Flutter 2 Installation on MacOS

  2. Flutter 2 with Firebase Cloud Firestore